use crate::addressing::Address;
use crate::entry::InvariantEntry;

lazy_static! {
    pub static ref HIER_ROOT_INVARIANT: InvariantEntry = InvariantEntry {
        attribute: String::from(ATTR_KEY),
        value: "HIER_ROOT".into(),
    };
    pub static ref HIER_ROOT_ADDR: Address = HIER_ROOT_INVARIANT.entity().unwrap();
    pub static ref TYPE_HASH_ADDRESS: Address = Address::Hash(crate::util::hash::Hash(vec![]));
    pub static ref TYPE_UUID_ADDRESS: Address = Address::Uuid(uuid::Uuid::nil());
    pub static ref TYPE_ATTRIBUTE_ADDRESS: Address = Address::Attribute("".to_string());
    pub static ref TYPE_URL_ADDRESS: Address = Address::Url(url::Url::parse("up:").unwrap());
}
